Subject: Re: [PATCH v2 1/2] config: add options to list only variable names

From: Jeff King <[email-masked]>
Date: Fri, 29 May 2015 07:39:43 -0400

On Fri, May 29, 2015 at 01:34:50PM +0200, Christian Couder wrote:

> >> +--get-name-regexp::
> >> +     Like --get-regexp, but shows only matching variable names, not its
> >> +     values.
> >
> > which makes it clear why it is needed.  The distinction is purely
> > about the output, i.e. the values are omitted.
> 
> If the distinction is purely about the output, then it seems logical
> to add only an output related option, like the --name-only option I
> suggested, and not 2 new modes (--get-name-regexp and --list-names).
> 
> Doesn't it look like git config already has too many modes?

Yeah, I'd agree that is a simpler way to look at it, and avoiding extra
modes is probably a good thing.

-Peff